## ros-iron-pybind11-json-vendor 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pybind11_json_vendor)

find_package(ament_cmake REQUIRED)
find_package(nlohmann_json REQUIRED)

option(FORCE_BUILD_VENDOR_PKG
  "Build pybind11_json from source, even if system-install package is available"
  OFF
)

if(NOT FORCE_BUILD_VENDOR_PKG)
  find_package(pybind11_json QUIET)
endif()


if(NOT pybind11_json_FOUND)
  find_package(pybind11_vendor REQUIRED)
  find_package(pybind11 REQUIRED)

  set(setup_install_dir "${CMAKE_CURRENT_BINARY_DIR}/pybind11_json")

  include(ExternalProject)
  set(pybind11_json_version 0fbbe3bbb27bd07a5ec7d71cbb1f17eaf4d37702)
  ExternalProject_Add(pybind11_json-${pybind11_json_version}
    GIT_REPOSITORY https://github.com/pybind/pybind11_json.git
    GIT_TAG ${pybind11_json_version}
    GIT_CONFIG advice.detachedHead=false
    # Suppress git update due to https://gitlab.kitware.com/cmake/cmake/-/issues/16419
    UPDATE_COMMAND ""
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${setup_install_dir}
      -DBUILD_SHARED_LIBS=true
      -Dpybind11_DIR=${pybind11_DIR}
    INSTALL_DIR ${setup_install_dir}
  )  

  install(
    DIRECTORY ${setup_install_dir}/
    DESTINATION ${CMAKE_INSTALL_PREFIX}
    USE_SOURCE_PERMISSIONS
  )
endif()

ament_export_dependencies(pybind11_json)

ament_package()

=== debian/changelog ===
ros-iron-pybind11-json-vendor (0.3.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Update maintainer
  * Add initial build workflow (#9 <https://github.com/open-rmf/pybind11_json_vendor/issues/9>)
  * Contributors: Esteban Martinena, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-pybind11-json-vendor (0.2.2-1jammy) jammy; urgency=high

  * Support vendor-provided pybind11 upstream (#8 <https://github.com/open-rmf/pybind11_json_vendor/pull/8>)
  * Suppress CMake external project 'update' phase (#7 <https://github.com/open-rmf/pybind11_json_vendor/pull/7>)
  * Contributors: Scott K Logan

 -- YouLiang <youliang@openrobotics.org>  Tue, 06 Dec 2022 16:00:00 -0000

ros-iron-pybind11-json-vendor (0.2.0-1jammy) jammy; urgency=high

  * Updated nlohmann-json3-dev depend
  * Add missing dependency on nlohmann::json.
  * Add missing buildtool_depend on git
  * Contributors: Esteban Martinena, Scott K Logan, Steven! Ragnarök, youliang

 -- Yadunund <yadunund@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-iron-pybind11-json-vendor (0.1.0-1jammy) jammy; urgency=high

  * Initial version

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-pybind11-json-vendor
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), git, nlohmann-json3-dev, ros-iron-ament-cmake, ros-iron-pybind11-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-pybind11-json-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-iron-pybind11-vendor, ros-iron-ros-workspace
Description: A vendor package for pybind11_json for Modern C++

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-pybind11-json-vendor//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
